[![Runbot Status](https://runbot.odoo-community.org/runbot/badge/flat/162/9.0.svg)](https://runbot.odoo-community.org/runbot/repo/github-com-oca-web-162)
[![Build Status](https://travis-ci.org/OCA/web.svg?branch=9.0)](https://travis-ci.org/OCA/web)
[![Coverage Status](https://coveralls.io/repos/OCA/web/badge.png?branch=9.0)](https://coveralls.io/r/OCA/web?branch=9.0)

Web addons for Odoo
===================

This project aims to deal with modules related to the webclient of Odoo. You'll find modules that:

- Add facilities to the UI
- Add widgets
- Ease the import/export features
- Generally add clientside functionality

[//]: # (addons)

Available addons
----------------
addon | version | maintainers | summary
--- | --- | --- | ---
[help_online](help_online/) | 9.0.1.0.0 |  | Help Online
[support_branding](support_branding/) | 9.0.2.0.0 |  | Adds your branding to an Odoo instance
[web_access_rule_buttons](web_access_rule_buttons/) | 9.0.1.0.0 |  | Disable Edit button if access rules prevent this action
[web_action_conditionable](web_action_conditionable/) | 9.0.1.0.0 |  | Web Action Conditionable
[web_advanced_search_x2x](web_advanced_search_x2x/) | 9.0.1.0.1 |  | Use a search widget in advanced search for x2x fields
[web_dashboard_tile](web_dashboard_tile/) | 9.0.1.1.0 |  | Add Tiles to Dashboard
[web_decimal_numpad_dot](web_decimal_numpad_dot/) | 9.0.1.0.0 |  | Allows using numpad dot to enter period decimal separator
[web_dialog_size](web_dialog_size/) | 9.0.1.0.0 |  | A module that lets the user expand a dialog box to the full screen width.
[web_duplicate_visibility](web_duplicate_visibility/) | 9.0.1.0.1 |  | Manage the duplicate button visibiliy
[web_easy_switch_company](web_easy_switch_company/) | 9.0.1.0.0 |  | Multicompany - Easy Switch Company
[web_editor_background_color](web_editor_background_color/) | 9.0.1.0.0 |  | Set any background color for web editor snippets
[web_environment_ribbon](web_environment_ribbon/) | 9.0.1.0.0 |  | Web Environment Ribbon
[web_export_view](web_export_view/) | 9.0.1.0.2 |  | Export Current View
[web_favicon](web_favicon/) | 9.0.1.0.0 |  | Allows to set a custom shortcut icon (aka favicon)
[web_hide_db_manager_link](web_hide_db_manager_link/) | 9.0.1.0.0 |  | Hide link to database manager in login screen
[web_ir_actions_act_window_message](web_ir_actions_act_window_message/) | 9.0.1.0.0 |  | Show a message box to users
[web_listview_custom_element_number](web_listview_custom_element_number/) | 9.0.1.0.0 |  | Allow users to set manually a quantity of items to display in a tree view
[web_m2x_options](web_m2x_options/) | 9.0.1.1.0 |  | web_m2x_options
[web_menu_collapsible](web_menu_collapsible/) | 9.0.1.0.0 |  | Foldable second level Odoo menu
[web_notify](web_notify/) | 9.0.1.1.0 |  | Send notification messages to user
[web_readonly_bypass](web_readonly_bypass/) | 9.0.1.0.1 |  | Allow to save onchange modifications to readonly fields
[web_responsive](web_responsive/) | 9.0.3.0.0 |  | It provides a mobile compliant interface for Odoo Community web
[web_searchbar_full_width](web_searchbar_full_width/) | 9.0.1.0.0 |  | Show search bar in full screen width
[web_send_message_popup](web_send_message_popup/) | 9.0.1.0.0 |  | Web Send Message as Popup
[web_sheet_full_width](web_sheet_full_width/) | 9.0.1.0.0 |  | Use the whole available screen width when displaying sheets
[web_shortcut](web_shortcut/) | 9.0.1.0.0 |  | Shortcut Menu
[web_timeline](web_timeline/) | 9.0.1.0.0 |  | Interactive visualization chart to show events in time
[web_translate_dialog](web_translate_dialog/) | 9.0.1.0.0 |  | Easy-to-use pop-up to translate fields in several languages
[web_tree_dynamic_colored_field](web_tree_dynamic_colored_field/) | 9.0.2.0.0 |  | Allows you to dynamically color fields on tree views
[web_tree_image](web_tree_image/) | 9.0.1.1.0 |  | Show images in tree views
[web_tree_many2one_clickable](web_tree_many2one_clickable/) | 9.0.1.0.0 |  | Open the linked resource when clicking on their name
[web_widget_bokeh_chart](web_widget_bokeh_chart/) | 9.0.1.0.0 |  | This widget allows to display charts using Bokeh library.
[web_widget_color](web_widget_color/) | 9.0.1.0.0 |  | Web Widget Color
[web_widget_darkroom](web_widget_darkroom/) | 9.0.1.0.1 |  | Provides web widget for image editing and adds it to standard image widget as modal
[web_widget_datepicker_options](web_widget_datepicker_options/) | 9.0.1.0.0 |  | web_widget_datepicker_options
[web_widget_digitized_signature](web_widget_digitized_signature/) | 9.0.1.0.0 |  | Web Widget Digitized Signature
[web_widget_float_formula](web_widget_float_formula/) | 9.0.1.0.0 |  | Allow use of simple formulas in float fields
[web_widget_image_download](web_widget_image_download/) | 9.0.1.0.0 |  | Allows to download any image from its widget
[web_widget_image_webcam](web_widget_image_webcam/) | 9.0.1.0.0 |  | Allows to take image with WebCam
[web_widget_many2many_tags_multi_selection](web_widget_many2many_tags_multi_selection/) | 9.0.1.1.0 |  | Tags multiple selection
[web_widget_timepicker](web_widget_timepicker/) | 9.0.1.0.0 |  | Web Timepicker Widget
[web_widget_x2many_2d_matrix](web_widget_x2many_2d_matrix/) | 9.0.1.0.0 |  | Show list fields as a matrix
[web_x2many_delete_all](web_x2many_delete_all/) | 9.0.1.0.0 |  | Adds a button to x2many fields that removes all linked records


Unported addons
---------------
addon | version | maintainers | summary
--- | --- | --- | ---
[help_popup](help_popup/) | 8.0.0.5.0 (unported) |  | Help Popup
[web_ckeditor4](web_ckeditor4/) | 8.0.1.0.0 (unported) |  | Provides a widget for editing HTML fields using CKEditor 4.x
[web_confirm_window_close](web_confirm_window_close/) | 7.0.1 (unported) |  | Check for unsaved data when closing browser window
[web_context_in_colors](web_context_in_colors/) | 8.0.1.1.0 (unported) |  | Use the context in a tree view's colors and fonts attribute
[web_dashboard_open_action](web_dashboard_open_action/) | 8.0.1.0.0 (unported) |  | Adds a button to open a dashboard in full mode
[web_dom_model_classes](web_dom_model_classes/) | 8.0.1.0.0 (unported) |  | Allows small UI changes with simple CSS
[web_group_expand](web_group_expand/) | 8.0.1.0.0 (unported) |  | Group Expand Buttons
[web_ir_actions_act_window_page](web_ir_actions_act_window_page/) | 8.0.1.0.0 (unported) |  | Allows a developer to trigger a pager to show the previous or next next record in the form view
[web_last_viewed_records](web_last_viewed_records/) | 8.0.1.0.0 (unported) |  | Last viewed records
[web_menu_navbar_needaction](web_menu_navbar_needaction/) | 8.0.1.0.0 (unported) |  | Show the sum of submenus' needaction counters in main menu
[web_option_auto_color](web_option_auto_color/) | 8.0.0.1.0 (unported) |  | Web Option Auto Color
[web_polymorphic_many2one](web_polymorphic_many2one/) | 0.2 (unported) |  | Web Polymorphic Many2One
[web_recipients_uncheck](web_recipients_uncheck/) | 8.0.0.3.0 (unported) |  | Uncheck recipients on res.partner
[web_search_alphabetic](web_search_alphabetic/) | 1.0 (unported) |  | Web Alphabetical Search
[web_sheet_full_width_selective](web_sheet_full_width_selective/) | 8.0.0.1.0 (unported) |  | Show selected sheets with full width
[web_switch_company_warning](web_switch_company_warning/) | 8.0.0.1.0 (unported) |  | Show a warning if current company has been switched in another tab or window.
[web_widget_text_markdown](web_widget_text_markdown/) | 8.0.1.0.0 (unported) |  | web_widget_text_markdown

[//]: # (end addons)
